package com.hzs.bonus.settle;

import com.hzs.common.core.domain.R;
import com.hzs.common.domain.sale.order.SaOrder;

import java.util.Date;

/**
 * 奖金结算
 */
public interface IMemberSettleBonusApi {

    /*
     *  定时任务每天自动计算奖金
     **/
    R<Boolean> autoCalculateBonus(Date settleDate);

    /*
     *  备份网体
     **/
    void backupsSettleBonusEveryday();

    /*
     *  定时任务每天自动公布奖金
     **/
    void autoPublishBonus();

    /*
     *  定时任务每天自动发放奖金
     **/
    void autoGrantBonus();

    /*
     *  每日生成业绩、月表统计数据
     **/
    void insertCuMemberAchieveByEveryDay();

    /*
     *  退单回退业绩
     **/
    Boolean chargeBackSaOrder(SaOrder saOrder);

}
